[v-cloak] {
    display: none;
}

html {
    font-size: 14px;
    overflow: auto;
}

@media (min-width: 768px) {
    html {
        font-size: 16px;
    }
}

.page-title {
    margin-left: 40px;
    font-size: 18px;
}

@media screen and (max-width: 600px) {
    .page-title {
        display: none;
    }
}

html {
    position: relative;
    min-height: 100%;
}

/*body {
    margin-bottom: 60px;
}*/

.bg-primary,
.v-toolbar__content {
    background-color: #000 !important;
    color: #fff !important;
}

:root {
    --v-theme-primary: #000 !important;
}

.v-main {
    background-color: #efefef;
}

.v-card-item__content {
    text-align: center;
}

.success-message {
    background-color: green;
    color: white;
    padding: 10px;
    margin-top: 10px;
    display: inline-block;
}

/*html {
    overflow: hidden;
}*/

/*body {
    overflow: auto;
}*/

.error-msg {
    color: red;
}

.cts-dialog {
    padding-top: 0px !important;
    padding-bottom: 0px !important;
}

    .cts-dialog .v-card-item {
        width: 100%;
        background: #000;
        display: flex;
        justify-content: center;
        align-items: center;
        padding: 10px 0px !important;
        color: #fff;
    }

    .cts-dialog .v-card-actions {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        text-align: center;
    }

.error-message {
    color: red;
    font-weight: bold;
}

.v-main {
    height: 100%;
    overflow: hidden;
    overflow-y: auto;
}

.cp {
    cursor: pointer;
}

.ml10 {
    margin-left: 10px;
}

.mr10 {
    margin-right: 10px;
}

.v-card-title {
    font-size: 16px !important;
}

.p-6-12 {
    padding: 6px 12px !important
}

.v-list-item.active {
    background-color: #000;
    color: #fff;
}


#app-loader {
    position: absolute;
    height: 100%;
    width: 100%;
    background-color: rgb(0 0 0 / 50%);
    z-index: 999;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 18px;
    font-weight: bold;
}

    #app-loader .loader-msg {
        position: fixed;
        top: 100px;
        color: #fff;
        z-index: 9999;
        opacity: 1;
        /* background: #000;
        padding: 5px 10px;
        border-radius: 10px;*/
    }


.v-field__append-inner {
    cursor: pointer;
}


.v-overlay__content .v-card__loader,
.v-overlay__content .v-card__overlay {
    top: 54px !important;
}

#input-excel-file ~ .v-field__input {
    display: inline-block;
    text-overflow: ellipsis;
    width: 100%;
    white-space: nowrap;
    overflow: hidden;
}

.overflow-ellipsis {
    display: inline-block;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    max-width: 220px;
}


.w100px {
    display: inline-block;
    width: 100px;
}

.w120px {
    display: inline-block;
    width: 120px;
}

.w140px {
    display: inline-block;
    width: 140px;
}

.w200px {
    display: inline-block;
    width: 200px;
}

.table-container {
    max-width: 100%; /* Set a max width for the container */
    overflow-x: auto; /* Enable horizontal scrolling */
}
